php-http-request_1.4.4-5_all.deb


Advertisement

Description

php-http-request - Provides an easy way to perform HTTP requests

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename php-http-request_1.4.4-5_all.deb
Package name php-http-request
Package version 1.4.4
Package release 5
Package architecture all
Package type deb
Category universe/web
Homepage http://pear.php.net/package/HTTP_Request/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 23.04 KB
Installed size 104.00 KB
php-http-request is a PEAR class that implements the HTTP protocol, and allows
you to perform web queries in a simple way. It supports all the standard forms
of HTTP queries like GET, POST, HEAD, TRACE, PUT or DELETE, and also can
use the Basic authentication, Proxy, Proxy Authentication, SSL, file uploads,
and more etc.

Alternatives

Package Version Architecture Repository
php-http-request_1.4.4-5_all.deb 1.4.4 all Ubuntu Universe
php-http-request - - -

Requires

Name Value
php-common -
php-net-socket >= 1.0.7
php-net-url >= 1.0.12

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php-http-request_1.4.4-5_all.deb
Source Package php-http-request

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-http-request deb package:
    # sudo apt-get install php-http-request

Files

Path
/usr/share/doc/php-http-request/changelog.Debian.gz
/usr/share/doc/php-http-request/copyright
/usr/share/doc/php-http-request/package.xml.gz
/usr/share/doc/php-http-request/docs/download-progress.php
/usr/share/doc/php-http-request/docs/example.php
/usr/share/php/.registry/http_request.reg
/usr/share/php/HTTP/Request.php
/usr/share/php/HTTP/Request/Listener.php

Changelog

2016-03-06 - David Prévot <taffit@debian.org>
php-http-request (1.4.4-5) unstable; urgency=medium
* Team upload
[ Thijs Kinkhorst ]
* Remove self from uploaders.
[ David Prévot ]
* Use proper team name
* Use proper pkg-php-tools substitutions
* Use standard gbp layout
* Update Standards-Version to 3.9.7
* Convert copyright to format 1.0
* Rebuild with latest pkg-php-tools for the PHP 7.0 transition
2012-01-27 - Thomas Goirand <zigo@debian.org>
php-http-request (1.4.4-4) unstable; urgency=low
* Now using PKG-PHP-PEAR team <pkg-php-pear@lists.alioth.debian.org> as the
maintainer of the package (Closes: #656976).
* Switching to Git for the packaging (added a debian/gbp.conf and edited
the VCS fields).
* Switching to pkg-php-tools and dh 8 sequencer.
* Switching to 3.0 (quilt) source format.
* Standards-Version: is now 3.9.2 (no changes).
* Review package short and long description.
* Now using DEP5 format for debian/copyright.
2010-12-04 - Thomas Goirand <zigo@debian.org>
php-http-request (1.4.4-3) unstable; urgency=low
* Added myself as uploader.
* Sets a Pre-Depends: php-pear (>= 5.3) and removes Depends: php-pear
to allow upgrades from Squeeze, as discussed with RT (Closes: #605866).
2010-05-16 - Thijs Kinkhorst <thijs@debian.org>
php-http-request (1.4.4-2) unstable; urgency=low
* Change section to php.
* Fix bashism in debian/rules (Closes: #581456).
2010-05-09 - Thijs Kinkhorst <thijs@debian.org>
php-http-request (1.4.4-1) unstable; urgency=low
* New upstream release.
* Checked for Debian policy 3.8.4.
2008-09-11 - Thijs Kinkhorst <thijs@debian.org>
php-http-request (1.4.3-1) unstable; urgency=low
* New upstream release.
* Import into pkg-php maintenance group.
* Checked for policy 3.8.0, no changes.
2007-10-29 - Thijs Kinkhorst <thijs@debian.org>
php-http-request (1.4.2-1) unstable; urgency=low
* New upstream release.
2007-06-01 - Thijs Kinkhorst <thijs@debian.org>
php-http-request (1.4.1-1) unstable; urgency=low
* New upstream release.
* Update watch file.
2007-04-10 - Thijs Kinkhorst <thijs@debian.org>
php-http-request (1.4.0-1) unstable; urgency=low
* New upstream release.
* Switch to debhelper compatibility level 5.
2006-08-19 - Thijs Kinkhorst <thijs@debian.org>
php-http-request (1.3.0-3) unstable; urgency=low
* Adopt package (Closes: #383009).
* Checked for policy version 3.7.2, no changes necessary.
* Put debhelper version in debian/compat.
* Do not suggest php{4,5}-cli, as there's no specific usefulness
on the commandline of this package.
* Move debhelper to Build-Depends from Build-Depends-Indep.

See Also

Package Description
php-http-webdav-server_1.0.0RC8-1_all.deb WebDAV Server Baseclass
php-http_3.1.0+2.6.0-4build8_i386.deb PECL HTTP module for PHP Extended HTTP Support
php-icinga_2.4.1-1_all.deb PHP library to communicate with and use Icinga
php-igbinary_2.0.5-1build1_i386.deb igbinary PHP serializer
php-image-text_0.7.0-2_all.deb Image_Text - Advanced text maipulations in images
php-imagick_3.4.3~rc2-2ubuntu4_i386.deb Provides a wrapper to the ImageMagick library
php-imap_7.2+60ubuntu1_all.deb IMAP module for PHP [default]
php-interbase_7.2+60ubuntu1_all.deb Interbase module for PHP [default]
php-intl_7.2+60ubuntu1_all.deb Internationalisation module for PHP [default]
php-invoker_1.1.4-3_all.deb Utility class for invoking callables with a timeout
php-jmespath_2.3.0-2ubuntu1_all.deb Declaratively specify how to extract elements from a JSON document
php-json-schema_5.2.6-1_all.deb implementation of JSON schema
php-json_7.2+60ubuntu1_all.deb JSON module for PHP [default]
php-kdyby-events_2.4.0-3_all.deb Events for Nette Framework
php-klogger_1.2.1-2_all.deb simple logging class
Advertisement
Advertisement